$(document).ready(function () {

    $("body").on("click", '.remove', remove);
    $("body").on("blur", '.status', AddRows);
    $("tbody").on("blur", '.passport', chkSamePP);
    $("tbody").on("blur", '.passport', getPaxData);
    // $("body").on("input", '.passport', Calrows);
    // $("body").on("blur keyup change click", '.passport', Calamt);
    // $("body").on("keyup blur", ".passport", getPassdetail);


    // function Calamt() {
    //     var memadd = 0;
    //     $(".memcash").each(function () {
    //       if (!isNaN(this.value) && this.value.length != 0) {
    //         memadd += parseFloat(this.value);
    //       }
    //     });
    //     $(".totamt").val(memadd);
    //   }


    function getPaxData() {

        var tr = $(this).closest("tr"),
            passport = tr.find(".passport").val();

        if (passport != "") {
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "getCourdtl.php",
                data: { passport: passport },
                success: function (response) {
                    if (response != "") {
                        var paxname = response.paxname,
                            fileno = response.fileno,
                            agent = response.agent;

                        tr.find(".fileno").val(fileno);
                        tr.find(".paxname").val(paxname);
                        tr.find(".ref").val(agent);
                        tr.find(".courto").focus();
                    }
                },
                error: function (request, textStatus, errorThrown) { },
            });
        }
    }

    function chkSamePP() {
        var tr = $(this).closest('tr');
        var dpflg = tr.find(".dpflg").val();
        var passport = tr.find(".passport").val();

        $("#tabledata").find('tr').each(function () {
            var row = $(this),
                tpassport = row.find(".passport").val(),
                tdpflg = row.find(".dpflg").val();

            if (dpflg != tdpflg && passport == tpassport && tpassport != '') {
                tr.find(".passport").val("");
                alert("Passport Cannot Be Same");
                tr.find(".passport").focus();
            }

        });
    }




    $('#addnew').click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var focusFld = ".focusFld_" + ctr;
        $.post('courout_add.php', { ctr: ctr, hide: hide_check }, function (data) {
            ctr++;
            $(data).appendTo('#tabledata');
            $('#items').val(ctr);
            $(focusFld).focus();

        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }



    // function Calrows() {
    //    var rowCount = $('#tabledata tr').length;
    //     $('.nofpass').val(rowCount);
    // }

});